package com.io.yutian.aulib.nbt;

import java.util.Arrays;

public class NBTIntArray implements INBT {

    public static byte TYPE_ID = 11;

    private int[] value;

    public NBTIntArray(int[] value) {
        this.value = value;
    }

    public int[] getIntArray() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        NBTIntArray that = (NBTIntArray) o;
        return Arrays.equals(value, that.value);
    }

    @Override
    public int hashCode() {
        return Arrays.hashCode(value);
    }
}
